var AudioCallBack = {
	beforeShowAd: () => {
		Laya.timer.scale = 0;
		Laya.stage.renderingEnabled = false; //停止渲染
		Laya.updateTimer && Laya.updateTimer.pause(); //停止onUpdate
		Laya.physicsTimer && Laya.physicsTimer.pause(); //停止物理
		Laya.SoundManager.setMusicVolume(0);
		Laya.SoundManager.setSoundVolume(0);
	},
	afterShowAd: () => {
		window.focus();
		Laya.timer.scale = 1;
		Laya.stage.renderingEnabled = true //恢复渲染
		Laya.updateTimer && Laya.updateTimer.resume(); //恢复onUpdate
		Laya.physicsTimer && Laya.physicsTimer.resume(); //恢复物理
		AudioCallBack.adShowing = false;
		Laya.SoundManager._musicChannel.resume();
		Laya.SoundManager.playMusic('sound/BGM2.mp3', -1);
		Laya.SoundManager.setMusicVolume(1);
		Laya.SoundManager.setSoundVolume(1);
	}
};
//*-------- Show Interstitial --------*//
function ShowInter(complete) {
	// if (ysdk.environment.payload) {
	// 	complete && complete();
	// 	return;
	// }
	// AudioCallBack.beforeShowAd();
	// ysdk.adv.showFullscreenAdv({
	// 	callbacks: {
	// 		onClose: function(wasShown) {
	// 			// some action after close
	// 			AudioCallBack.afterShowAd();
	// 			if (complete)
	// 				complete();
	// 		},
	// 		onError: function(error) {
	// 			// some action on error
	// 			AudioCallBack.afterShowAd();
	// 			if (complete)
	// 				complete();
	// 		}
	// 	}
	// });
}

//*-------- Show Rewarded --------*//
function ShowRewarded(success,s) {
	awardVideo(s,()=>{
		success(true);
	},
	(error)=>{
		console.log('Error while open video ad:', error);
	})
}

function ShowBanner() {
	// ysdk.adv.showBannerAdv();
}

function HideBanner() {
	// ysdk.adv.hideBannerAdv();
}


// YaGames
// 	.init()
// 	.then(ysdk => {
// 		window.ysdk = ysdk;
// 		window.isRussian = ysdk.environment.i18n.lang == "ru";
// 		//-----libs-begin-----
// 		loadLib("./libs/min/laya.core.min.js")
// 		loadLib("./libs/min/laya.ui.min.js")
// 		loadLib("./libs/min/laya.d3.min.js")
// 		loadLib("./libs/min/laya.physics3D.min.js")
// 		//-----libs-end-------
// 		loadLib("./js/bundle.js");
// 	});

function Prompt(msg, duration = 3e3) {
	if (!this.prompt_) {
		this.prompt_ = document.createElement('div');
		this.prompt_.style.cssText =
			"font-family:siyuan;max-width:80%;min-width:320px;padding:10px 10px 10px 10px;min-height:40px;color: rgb(255, 255, 255);line-height: 20px;text-align:center;border-radius: 4px;position: fixed;top: 40%;left: 50%;transform: translate(-50%, -50%);z-index: 999999;background: rgba(0, 0, 0,.7);font-size: 16px;";
		document.body.appendChild(this.prompt_);
	}
	this.prompt_.innerHTML = msg;
	duration = isNaN(duration) ? 3e3 : duration;
	this.prompt_.style.display = "inline";
	this.prompt_.style.opacity = '1';
	setTimeout(function() {
		var d = 0.5;
		this.prompt_.style.webkitTransition = '-webkit-transform ' + d + 's ease-in, opacity ' + d +
		's ease-in';
		this.prompt_.style.opacity = '0';
		this.prompt_.style.display = "none";
	}.bind(this), duration);
}